---
type: api
title: Get the reindex status
description: Check the status of the reindex task.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-get-upgrade-reindex
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-get-upgrade-reindex
products:
  - Kibana
---

# Get the reindex status

Availability:

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/upgrade_assistant/reindex/{index}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `index` (string)
  The name of the index that is reindexing.

## Description

Check the status of the reindex task.

## Response

Indicates a successful call.

`application/json`

- `hasRequiredPrivileges` (boolean)
  Specifies whether the user has sufficient privileges to reindex this index. When security is unavailable or disabled, it is `true`.
- `reindexOp` (object)
  - `errorMessage` (string)
    The error that caused the reindex to fail, if it failed.
  - `indexName` (string)
    The name of the old index.
  - `lastCompletedStep` (integer)
    The last successfully completed step of the reindex. For example:
- `0`: The reindex task has been created in Kibana. - `10`: The index group services stopped. Only applies to some system indices. - `20`: The index is set to readonly. - `30`: The new destination index has been created. - `40`: The reindex task in Elasticsearch has started. - `50`: The reindex task in Elasticsearch has completed. - `60`: Aliases were created to point to the new index, and the old index has been deleted. - `70`: The index group services have resumed. Only applies to some system indices.
  - `newIndexName` (string)
    The name of the new index.
  - `reindexTaskId` (string)
    The task ID of the reindex task in Elasticsearch. This value appears when the reindexing starts.
  - `reindexTaskPercComplete` (number)
    The progress of the reindexing task in Elasticsearch. It appears in decimal form, from 0 to 1.
  - `status` (integer)
    The reindex status. For example:
- `0`: In progress - `1`: Completed - `2`: Failed - `3`: Paused
- `warnings` ([] unknown)
  An array of any warning codes that explain what changes are required for this reindex. For example:
- `0` specifies to remove the `_all` meta field. - `1` specifies to convert any coerced boolean values in the source document. For example, `yes`, `1`, and `off`. - `2` specifies to convert documents to support Elastic Common Schema. Applies only to APM indices created in 6.x.
## Code Examples

#### Console

```console
GET /api/upgrade_assistant/reindex/{index}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/upgrade_assistant/reindex/{index}"
```

## Response Examples

#### Get upgrade reindex response example1

```json
{
  "reindexOp": {
    "indexName": ".ml-state",
    "newIndexName": ".reindexed-v7-ml-state", 
    "status": 0, 
    "lastCompletedStep": 40, 
    "reindexTaskId": "QprwvTMzRQ2MLWOW22oQ4Q:11819", 
    "reindexTaskPercComplete": 0.3, 
    "errorMessage": null 
  },
  "warnings": [], 
  "hasRequiredPrivileges": true 
}
```

